summaryrefslogtreecommitdiff
path: root/.azure-pipelines/commands/incidental/remote.sh
diff options
context:
space:
mode:
authorMatt Clay <matt@mystile.com>2023-02-28 13:21:11 -0800
committerMatt Clay <matt@mystile.com>2023-03-14 17:50:24 -0700
commit8cc8aa268d81fd991e6574336272a2e4f5422574 (patch)
treef095e29e7ac7e3d94676f0d28b227f5346cb0d5b /.azure-pipelines/commands/incidental/remote.sh
parent130fbe8ba5b7c9407da33be24c481746486d7c15 (diff)
downloadansible-8cc8aa268d81fd991e6574336272a2e4f5422574.tar.gz
[stable-2.13] Relocate the AZP entry point scripts (#80114)
Scripts previously under `test/utils/shippable/` are now under `.azure-pipelines/commands/` instead.. (cherry picked from commit f47bc03599eedc48753d2cd5e1bea177f35e6133) Co-authored-by: Matt Clay <matt@mystile.com>
Diffstat (limited to '.azure-pipelines/commands/incidental/remote.sh')
-rwxr-xr-x.azure-pipelines/commands/incidental/remote.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/.azure-pipelines/commands/incidental/remote.sh b/.azure-pipelines/commands/incidental/remote.sh
new file mode 100755
index 0000000000..95f304d54a
--- /dev/null
+++ b/.azure-pipelines/commands/incidental/remote.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+set -o pipefail -eux
+
+declare -a args
+IFS='/:' read -ra args <<< "$1"
+
+platform="${args[0]}"
+version="${args[1]}"
+pyver=default
+target="shippable/posix/incidental/"
+
+# check for explicit python version like 8.3@3.8
+declare -a splitversion
+IFS='@' read -ra splitversion <<< "$version"
+
+if [ "${#splitversion[@]}" -gt 1 ]; then
+ version="${splitversion[0]}"
+ pyver="${splitversion[1]}"
+fi
+
+stage="${S:-prod}"
+provider="${P:-default}"
+
+# shellcheck disable=SC2086
+ansible-test integration --color -v --retry-on-error "${target}" ${COVERAGE:+"$COVERAGE"} ${CHANGED:+"$CHANGED"} ${UNSTABLE:+"$UNSTABLE"} \
+ --python "${pyver}" --remote "${platform}/${version}" --remote-terminate always --remote-stage "${stage}" --remote-provider "${provider}" \